import { Meteor } from 'meteor/meteor';
import React, {lazy, Suspense, useState} from 'react';
import { useTracker } from 'meteor/react-meteor-data';
import _ from 'lodash';
import TabNav from '../util/TabNav';

export default () => {
	let tabs = [
		{
			title: "By Person",
			getElement: () => {
				const ByPerson = lazy(()=>import('./Assignments/ByPerson'))
				return <ByPerson/>
			},
			path: '/byPerson',
			href: 'byPerson'
		},
		{
			title: "By Asset",
			getElement: () => {
				const ByAsset = lazy(()=>import('./Assignments/ByAsset'))
				return <ByAsset/>
			},
			path: '/byAsset',
			href: 'byAsset'
		},
	]

	return <TabNav tabs={tabs}/>
}